# Integrations

To see how to integrate Evidently in your prediction pipelines and use it with other tools, refer to the integrations. 

Evidently can be easily integrated with other tools to fit into the existing workflows. 
Below are a few specific examples of how to integrate Evidently in the prediction pipelines. You can adapt them for other workflow management, visualization, and tracking tools.


Title | link to tutorial
--- | ---
Real-time ML monitoring with Grafana | [Evidently + Grafana](grafana_monitoring_service/)
Batch ML monitoring with Airflow | [Evidently + Airflow](airflow_drift_detection/)
Log Evidently metrics in MLflow UI | [Evidently + MLflow](mlflow_logging/)

To quickly explore what Evidently can do right out of the box, refer to the [sample notebooks](../sample_notebooks/).

To learn how to adjust evidently as you need, refer to the [how-to questions](../how_to_questions/).

To better understand potential use cases (such as model evaluation and monitoring), refer to the [detailed tutorials](../data_stories/) accompanied by the blog posts.
